Skip to content

SQL Injection via user-groups (CVE-2019-19029)

high
michmike published GHSA-qcfv-8v29-469w Dec 3, 2019

Package

Harbor

Affected versions

1.7.*, 1.8.*, 1.9.*

Patched versions

1.8.6, 1.9.3

Description

Impact

Cure53 has discovered that a user with Project-Admin capabilities can utilize and exploit SQL Injection to read secrets from the underlying database or conduct privilege escalation.

The vulnerability was immediately fixed by the Harbor team and all supported versions were patched.

Known Attack Vectors

Successful exploitation of this issue will lead to bad actors reading secrets from the database.

Patches

If your product uses the affected releases of Harbor, update to version 1.8.6 and 1.9.3 to patch this issue immediately.

https://github.com/goharbor/harbor/releases/tag/v1.8.6
https://github.com/goharbor/harbor/releases/tag/v1.9.3

Workarounds

There is no workaround for this issue

For more information

If you have any questions or comments about this advisory, contact cncf-harbor-security@lists.cncf.io
View our security policy at https://github.com/goharbor/harbor/security/policy
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-19029

CVE ID

CVE-2019-19029